# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Make a payout ## Overview Once you have set your client up as a **Recipient**, you can use the `/v2/transactions` resource to make ACH payments from your Embedded Banking account, into your client's chosen bank account. Use `POST /v2/transactions` to create a payment request. To make the payment, you need to include the following:: - Your client's recipientId, which represents your client's external bank account. - Your account debtorAccountId. You can get this using a GET /accounts request. - The transaction type - use ACH, RTP (Real Time Payments), or WIRE. - The amount to be paid. - The currency - always "USD". - A transactionReferenceID- your reference number for this transaction. It must be unique for every payment. Sample `POST /v2/transactions` request: ```json { "transactionReferenceId": "2hjsa998931301jkj", "amount": 20.88, "currency": "USD", "type": "ACH", "debtorAccountId": "dc2eda9084bf40b7a1d8baa8c5e0ea0ax", "recipientId": "828be449-8507-4a5e-ad3f-62202af0f2b3", "memo": "Invoice 1234" } ``` Sample response: ```json { "id": "3ZJUCLKH3c1sIWk", "transactionReferenceId": "2hjsa998931301jkj", "originatingId": null, "status": "PENDING", "type": "ACH", "originatingTransactionType": null, "ledgerBalance": 10.00, "debtorClientId": "0030000132", "debtorAccountId": "dc2eda9084bf40b7a1d8baa8c5e0ea0ax", "debtorAccountNumber": "...8882", "debtorName": "CntrlPrk", "creditorClientId": null, "creditorAccountId": null, "creditorAccountNumber": "...0521", "creditorName": "Philip Banks", "recipientId": "828be449-8507-4a5e-ad3f-62202af0f2b3", "amount": 20.88, "currency": "USD", "paymentDate": "2024-04-23", "createdAt": "2024-04-23T10:40:41.007Z", "effectiveDate": null, "postingVersion": null } ``` ## Get your account details You can get your `debtorAccountId` with a request to `GET /accounts`. In the response you can see the field `id` which must be used for `debtorAccountId` when making a payout: ```json { "metadata": { "page": 0, "limit": 25, "total_items": 1 }, "items": [ { "id": "dc2eda9084bf40b7a1d8baa8c5e0ea0ax", "clientId": "0030000132", "label": "MAIN", "state": "OPEN", "paymentRoutingInformation": { "accountNumber": "20000113278882", "country": "US", "routingInformation": [ { "type": "ABA", "value": "021000021" } ] }, "createdAt": "2023-02-20T16:09:53.397Z", "category": "CLIENT_DDA" } ] } ``` ## Reference The following fields are used when making a payment in the Transactions resource. **Transactions resource query parameters:** | Query parameter | Description | Format | Example | | --- | --- | --- | --- | | type | Type of transaction - Only ACH is currently supported. | "ACH" | ACH | | status | Defines transaction status. | Enum: "PENDING" / "CANCELED" / "COMPLETED" / "COMPLETED_WITH_EXCEPTIONS" / "REJECTED" / "RETURNED" / "PARTIALLY_COMPLETED" / "UNDEFINED" | PENDING | | transactionReferenceID | Transaction reference ID provided by client. | <=35 characters | hisSuUVnakPD9qSA | | debtorAccountID | ID of the account to make the payment from. | <=35 characters | dc2eda9084bf40b7a1d8baa8c5e0ea0ax | | amount | Transaction value in the given currency. | >=0.01 | 3100 | | currency | Transaction currency. | "USD" | USD | | memo | Optional message to accompany the transaction. | <=140 characters | Memo for Transaction for 1000010400 | | recipientId | The recipient ID of the party you are paying. | | a8eb71c9-7bbb-41f2-8d9e-b0f5 |